#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var yargs = require("yargs");
var ora = require("ora");
var index_1 = require("../index");
var env_status_1 = require("../env-status");
var argv = yargs
    .scriptName('env-status')
    .usage('$0 [args]')
    .boolean('init')
    .describe('init', 'Init config file')
    .boolean('gen')
    .describe('gen', 'Generate env-status data from current branch HEAD')
    .help().argv;
new env_status_1.Runner(new index_1.EnvStatus(), argv, ora()).run();
