"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Runner = void 0;
var Runner = /** @class */ (function () {
    function Runner(envStatus) {
        this.envStatus = envStatus;
    }
    Runner.prototype.run = function () {
        var branchName = this.envStatus.getBranchName();
        var branchType = this.envStatus.getBranchType(branchName);
        var envType = this.envStatus.getEnvType(process.env.NODE_ENV);
        console.log("Build " + branchName + " branch in " + process.env.NODE_ENV + " environment.");
        if (branchType === "OTHERS" /* OTHERS */) {
            console.log('!!! invalid branch name !!!');
            return 1;
        }
        else if ((envType === "PRODUCTION" /* PRODUCTION */ || envType === "STAGING" /* STAGING */ || envType === "TEST" /* TEST */) &&
            !(branchType === "MASTER" /* MASTER */ || branchType === "SPRINT" /* SPRINT */ || branchType === "HOTFIX" /* HOTFIX */)) {
            console.log('!!! only master, sprint and hotfix branches can be built in production, staging and test environment !!!');
            return 2;
        }
        return 0;
    };
    return Runner;
}());
exports.Runner = Runner;
