import * as ora from 'ora';
import { Arguments } from 'yargs';
import { EnvStatus } from './index';
interface IEnvStatusArgv {
    init: boolean;
    gen: boolean;
}
export declare class Runner {
    private envStatus;
    private argv;
    private spinner;
    static MESSAGES: {
        CONFIG_ALLREADY_EXIST: any;
        CONFIG_FILE_CREATED: any;
        COMMIT_LOG_GENERATED: any;
        SPINNER_START: string;
        SPINNER_FAIL_NO_CONFIG: string;
        SPINNER_FAIL_REQUESTED_ENV_UNDEFINED: string;
        SPINNER_LOADING_ENV_DATA: string;
    };
    constructor(envStatus: EnvStatus, argv: Arguments<IEnvStatusArgv>, spinner: ora.Ora);
    getArgv(): Arguments<IEnvStatusArgv>;
    run(): Promise<string>;
    private printTable;
    private getEnvWeight;
    private getEnvListForPrint;
}
export {};
