import { BRANCH_TYPES, ENV_TYPES, IEnvConfig, IEnvData, IEnvErrData } from './interfaces';
export declare class EnvStatus {
    static getShared(): EnvStatus;
    private static instance;
    private envDataCache;
    private fetchOriginPromise;
    private envConfig;
    setConfig(config: IEnvConfig): IEnvConfig;
    getConfig(): IEnvConfig | null;
    getArgs(argv: string[]): string[];
    fetchOrigin(): Promise<void>;
    getLastCommit(now: Date): Record<string, string>;
    getOriginBranch(branchName: string): string;
    getBranchLastCommitId(branchName: string, cwd?: string): string;
    isAncestorCommit(c1: string, c2: string): boolean;
    getBranchName(): string;
    getBranchType(branch: string): BRANCH_TYPES;
    getEnvType(env?: string): ENV_TYPES;
    setEnvDataCache(env: string, data: IEnvData): void;
    appendCurrentTimestampToUrl(url: string, now: Date): string;
    fetchEnvData(env: string): Promise<IEnvData | IEnvErrData>;
    isEnvAvailable(env: string): Promise<boolean>;
}
